@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 700;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Bold.otf');
    src: url('../fonts/SF-Pro-Display-Bold.otf') format('opentype');
}

@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 600;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Semibold.otf');
    src: url('../fonts/SF-Pro-Display-Semibold.otf') format('opentype');
}

@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 500;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Medium.otf');
    src: url('../fonts/SF-Pro-Display-Medium.otf') format('opentype');
}

@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 400;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Regular.otf');
    src: url('../fonts/SF-Pro-Display-Regular.otf') format('opentype');
}

@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 300;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Light.otf');
    src: url('../fonts/SF-Pro-Display-Light.otf') format('opentype');
}

@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 200;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Thin.otf');
    src: url('../fonts/SF-Pro-Display-Thin.otf') format('opentype');
}

@font-face
{
    font-family: 'San Francisco Pro';
    font-weight: 100;
    font-style: normal;
    src: url('../fonts/SF-Pro-Display-Ultralight.otf');
    src: url('../fonts/SF-Pro-Display-Ultralight.otf') format('opentype');
}

:root {
    --primary-color: #6eb8b3;
    --secondary-color: #fa9ebb;
    --terciary-color: #ebd6bc;

    --primary-selected-color: color-mix(in srgb, var(--primary-color) 90%, black);
    --primary-hover-color: color-mix(in srgb, var(--primary-color) 95%, black);
    --primary-border-color: color-mix(in srgb, var(--primary-color) 100%, black);
    --primary-background-color: color-mix(in srgb, var(--primary-color) 97.5%, black);
}
